#ifndef __MOTORCTRL_H__
#define __MOTORCTRL_H__

#include "r_cg_macrodriver.h"

#define MOTOR1      0
#define MOTOR2      1
#define MOTOR3      2
#define MOTOR4      3
#define MOTOR5      4
#define MOTOR6      5

void OverCurrentPro(uint8_t ovmotor);
void CurrentDetecte(void);
void MotorCtrl(void);
void HallDetecte(void);
void MotorValueInit(void);


void StartAutoCal(void);
void StopAutoCal(void);




void setMotorState(uint8_t motorid,uint8_t act);

void MotorMemoryKeyM1Press(void);
void MotorMemoryKeyM1Release(void);
void MotorMemoryKeyM2Press(void);
void MotorMemoryKeyM2Release(void);
void MotorMemoryKeyM3Press(void);
void MotorMemoryKeyM3Release(void);
void MotorMemoryKeyMMPress(void);
void MotorMemoryKeyMMRelease(void);

#endif
